# Uses of Class
javajs.util.A4

Packages that use A4
Package
Description
javajs.util
org.jmol.api
org.jmol.export
org.jmol.modelset
org.jmol.symmetry
org.jmol.viewer

## Uses of A4 in javajs.util

Methods in javajs.util that return A4
Modifier and Type
Method
Description
`static A4`
A4.`new4(float x, float y, float z, float angle)`
Constructs and initializes an AxisAngle4f from the specified x, y, z, and angle.
`static A4`
A4.`newAA(A4 a1)`
Constructs and initializes a AxisAngle4f from the specified AxisAngle4f.
`static A4`
A4.`newVA(V3 axis, float angle)`
Constructs and initializes an AxisAngle4f from the specified axis and angle.
`A4`
Quat.`toAxisAngle4f()`
Methods in javajs.util with parameters of type A4
Modifier and Type
Method
Description
`static A4`
A4.`newAA(A4 a1)`
Constructs and initializes a AxisAngle4f from the specified AxisAngle4f.
`static Quat`
Quat.`newAA(A4 a)`
`final void`
A4.`setAA(A4 a)`
Sets the value of this axis angle to the value of axis angle t1.
`M3`
M3.`setAA(A4 a)`
Sets the value of this matrix to the matrix conversion of the single precision axis and angle argument.
`void`
Quat.`setAA(A4 a)`
`protected void`
M34.`setAA33(A4 a)`
`void`
M4.`setToAA(A4 a)`
Sets the rotational component (upper 3x3) of this matrix to a rotation given by an axis angle

## Uses of A4 in org.jmol.api

Methods in org.jmol.api with parameters of type A4
Modifier and Type
Method
Description
`void`
SymmetryInterface.`setSpinAxisAngle(A4 aa)`

## Uses of A4 in org.jmol.export

Fields in org.jmol.export declared as A4
Modifier and Type
Field
Description
`protected A4`
__CartesianExporter.`viewpoint`
Methods in org.jmol.export with parameters of type A4
Modifier and Type
Method
Description
`protected void`
_StlExporter.`outputRotation(A4 a)`
`protected void`
_VrmlExporter.`outputRotation(A4 a)`
`protected void`
_X3dExporter.`outputRotation(A4 a)`
`protected void`
__CartesianExporter.`setSphereMatrix(T3 center, float rx, float ry, float rz, A4 a, M4 sphereMatrix)`

## Uses of A4 in org.jmol.modelset

Fields in org.jmol.modelset declared as A4
Modifier and Type
Field
Description
`A4`
Measurement.`renderAxis`

## Uses of A4 in org.jmol.symmetry

Methods in org.jmol.symmetry with parameters of type A4
Modifier and Type
Method
Description
`void`
Symmetry.`setSpinAxisAngle(A4 aa)`
`void`
UnitCell.`setSpinAxisAngle(A4 aa)`

## Uses of A4 in org.jmol.viewer

Fields in org.jmol.viewer declared as A4
Modifier and Type
Field
Description
`protected final A4`
TransformManager.`aaTest1`
`final A4`
TransformManager.`fixedRotationAxis`
`final A4`
TransformManager.`internalRotationAxis`